//<!--
//\include\js\viewitem\_base\viBlockActiveContent.js@@\main\3

function ebVIObj()
{this.docWriteString='';this.firstWrite=(typeof(viDocIms)!="undefined");function hasBlockedString(pStr)
{return pStr.containsAny("ebviewitem.","open(","createpopup(","cookie(",".cookie",".location","replace(","onerror","<meta","<iframe","eval(","document.standardwrite","document.standardwriteln");}
this.hasBlockedString=hasBlockedString;function checkTagAndAttribute(pStr,pTag,pAttr)
{var stInd=pStr.indexOf(pTag),rv=false;while(stInd>-1)
{var eInd=pStr.indexOf(">",stInd);var aInd=pStr.indexOf(pAttr,stInd);rv=((eInd>stInd)&&(aInd>stInd)&&(aInd<eInd));stInd=pStr.indexOf(pTag,eInd);}
return rv;}
this.checkTagAndAttribute=checkTagAndAttribute;function hasTagAndAttribute(pStr)
{var ta=new Array(new Array("<script","src="),new Array("<base","href="));var rv=false,len=ta.length;for(var i=0;i<len&&!rv;i++)
{rv=this.checkTagAndAttribute(pStr,ta[i][0],ta[i][1]);if(rv&&(i==0)&&pStr.contains(includeHost))
rv=false;}
return rv;}
this.hasTagAndAttribute=hasTagAndAttribute;function blockString(pStr)
{with(this)
{var rv=false;if(!firstWrite)
docWriteString+=pStr;if(firstWrite)
{docWriteString='';firstWrite=false;}
else
{var s=(docWriteString+pStr).toLowerCase().replace(/\s/g,"");if(hasBlockedString(s)||hasTagAndAttribute(s))
{docWriteString='';rv=true;}}
return rv;}}
this.blockString=blockString;document.standardWrite=document.write;document.standardWriteln=document.writeln;function documentWrite(pStr)
{if(!ebViewItem.blockString(pStr))
document.standardWrite(pStr);}
this.documentWrite=documentWrite;function documentWriteln(pStr)
{if(!ebViewItem.blockString(pStr))
document.standardWriteln(pStr);}
this.documentWriteln=documentWriteln;}
var ebViewItem=new ebVIObj();document.write=ebViewItem.documentWrite;document.writeln=ebViewItem.documentWriteln;
// -->
